Bug 391186

Summary: [kio-gdrive]Access token expires/invalidates after performing a few file operations
Product: [Frameworks and Libraries] kio-gdrive Reporter: Øystein Steffensen-Alværvik <epost.kde>
Component: generalAssignee: Elvis Angelaccio <elvis.angelaccio>
Status: CONFIRMED ---    
Severity: major CC: 988alex, a.skembris, albertovillacorta, almazgaliev99, andrew1stein, antmarra, aspotashev, bryan.m0ngo, cristianofurtadoba, crmongolo, danny.rafferty, darinsmiller, diraria, ed38, epost.kde, fdelgado.it, feelthelemon, firew4lker, glenntanner3, guimarcalsilva, ilgaz, ivan.planinar, jens-bugs.kde.org, jesusdelgadillog, jkos, joao.vidal.silva, joh82875, jshand2013, ken20001, lassi.vaatamoinen, marco_parillo, med.medin.2014, miso, mojo, nate, p.r.worrall, pandom79, pmartycz, postix
Priority: HI    
Version: 22.12.1   
Target Milestone: ---   
Platform: Neon   
OS: Linux   
See Also: https://bugs.kde.org/show_bug.cgi?id=420280
Latest Commit: Version Fixed In:
Attachments: Expired or missing access tokens for account
gdrive log
attachment-1748709-0.html
debug for kio-gdrive
debug for kde-kgapi-gdrive
debug for kio-gdrive

Description Øystein Steffensen-Alværvik 2018-02-27 22:56:45 UTC
After a few minutes of successful use, Kio-gdrive suddenly refuses to open any file present on Drive. And when accessed from Dolphin→Networks→Google Drive→"Drive Account" gives "Unknown error".

Steps to reproduce: 

1) Authenticate a new account (System settings→Online accounts→Create→Google→Enter credentials and accept access)
2) Success notification pops up above system tray, with a nice button to Open the Drive folder
3) Press Open folder in the notification
4) Open a few files (I opened two-three PDF files)
5) The first files open successfully
6) When opening the third or so file, it opens with an error. Kio-gdrive stops working at all with the Drive account.

I saw from another report that the developer wanted the output of kdeinit5, so I ran kdeinit5 after I had authenticated the Google account but before kio-gdrive failed. Here's the output:

 kdeinit5: Got EXT_EXEC '/usr/bin/okular' from launcher.
kdeinit5: preparing to launch '/usr/bin/okular'
kdeinit5: Got EXEC_NEW '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/file.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/file.so'
kdeinit5: Got EXEC_NEW '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'
"userActionFinished error: 10"
org.kde.kgapi: Queued QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLYWVlbHNub3hEUEU?fields=kind,id,mimeType,downloadUrl,exportLinks")
org.kde.kgapi: KGAPI2::Drive::FileFetchJob(0x7ffc6f4ae5d0) Dispatching request to QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLYWVlbHNub3hEUEU?fields=kind,id,mimeType,downloadUrl,exportLinks")
org.kde.kgapi.raw: ""
kdeinit5: Got EXEC_NEW '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/http.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/http.so'
org.kde.kgapi: Received reply from QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLYWVlbHNub3hEUEU?fields=kind,id,mimeType,downloadUrl,exportLinks")
org.kde.kgapi: Status code:  401
org.kde.kgapi.raw: "{\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"authError\",\n    \"message\": \"Invalid Credentials\",\n    \"locationType\": \"header\",\n    \"location\": \"Authorization\"\n   }\n  ],\n  \"code\": 401,\n  \"message\": \"Invalid Credentials\"\n }\n}\n"
org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
org.kde.kgapi: 
kf5.kio.gdrive: virtual KGAPI2::AccountPtr KAccountsManager::refreshAccount(const AccountPtr&) not implemented.
kf5.kio.core: error() called twice! Please fix the "kio_gdrive" KIO slave
kdeinit5: PID 9738 terminated.
kdeinit5: PID 9754 terminated.
kdeinit5: PID 9732 terminated.
kdeinit5: PID 9737 terminated.
kdeinit5: Got EXT_EXEC '/usr/bin/gwenview' from launcher.
kdeinit5: preparing to launch '/usr/bin/gwenview'
kdeinit5: Got EXEC_NEW '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/gdrive.so'
"userActionFinished error: 10"
org.kde.kgapi: Queued QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8")
org.kde.kgapi: KGAPI2::Drive::FileFetchJob(0x7ffc6f4ae600) Dispatching request to QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8")
org.kde.kgapi.raw: ""
kdeinit5: Got EXEC_NEW '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/http.so' from launcher.
kdeinit5: preparing to launch '/usr/lib/x86_64-linux-gnu/qt5/plugins/kf5/kio/http.so'
org.kde.kgapi: Received reply from QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8")
org.kde.kgapi: Status code:  401
org.kde.kgapi.raw: "{\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"authError\",\n    \"message\": \"Invalid Credentials\",\n    \"locationType\": \"header\",\n    \"location\": \"Authorization\"\n   }\n  ],\n  \"code\": 401,\n  \"message\": \"Invalid Credentials\"\n }\n}\n"
org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
org.kde.kgapi: 
kf5.kio.gdrive: virtual KGAPI2::AccountPtr KAccountsManager::refreshAccount(const AccountPtr&) not implemented.
kf5.kio.core: error() called twice! Please fix the "kio_gdrive" KIO slave
org.kde.kgapi: Queued QUrl("https://www.googleapis.com/drive/v2/about?includeSubscribed=true")
org.kde.kgapi: KGAPI2::Drive::AboutFetchJob(0x7ffc6f4ae080) Dispatching request to QUrl("https://www.googleapis.com/drive/v2/about?includeSubscribed=true")
org.kde.kgapi.raw: ""
org.kde.kgapi: Received reply from QUrl("https://www.googleapis.com/drive/v2/about?includeSubscribed=true")
org.kde.kgapi: Status code:  401
org.kde.kgapi.raw: "{\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"authError\",\n    \"message\": \"Invalid Credentials\",\n    \"locationType\": \"header\",\n    \"location\": \"Authorization\"\n   }\n  ],\n  \"code\": 401,\n  \"message\": \"Invalid Credentials\"\n }\n}\n"
org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
org.kde.kgapi: 
kf5.kio.gdrive: virtual KGAPI2::AccountPtr KAccountsManager::refreshAccount(const AccountPtr&) not implemented.
kf5.kio.core: error() called twice! Please fix the "kio_gdrive" KIO slave
org.kde.kgapi: Queued QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8")
org.kde.kgapi: KGAPI2::Drive::FileFetchJob(0x7ffc6f4ae600) Dispatching request to QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8")
org.kde.kgapi.raw: ""
org.kde.kgapi: Received reply from QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8")
org.kde.kgapi: Status code:  401
org.kde.kgapi.raw: "{\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"authError\",\n    \"message\": \"Invalid Credentials\",\n    \"locationType\": \"header\",\n    \"location\": \"Authorization\"\n   }\n  ],\n  \"code\": 401,\n  \"message\": \"Invalid Credentials\"\n }\n}\n"
org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
org.kde.kgapi: 
kf5.kio.gdrive: virtual KGAPI2::AccountPtr KAccountsManager::refreshAccount(const AccountPtr&) not implemented.
kf5.kio.core: error() called twice! Please fix the "kio_gdrive" KIO slave
org.kde.kgapi: Queued QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8?fields=kind,id,mimeType,downloadUrl,exportLinks")
org.kde.kgapi: KGAPI2::Drive::FileFetchJob(0x7ffc6f4ae5d0) Dispatching request to QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8?fields=kind,id,mimeType,downloadUrl,exportLinks")
org.kde.kgapi.raw: ""
org.kde.kgapi: Received reply from QUrl("https://www.googleapis.com/drive/v2/files/0B5Ns9h6gbAsLbzRYdnBUMkZUNm8?fields=kind,id,mimeType,downloadUrl,exportLinks")
org.kde.kgapi: Status code:  401
org.kde.kgapi.raw: "{\n \"error\": {\n  \"errors\": [\n   {\n    \"domain\": \"global\",\n    \"reason\": \"authError\",\n    \"message\": \"Invalid Credentials\",\n    \"locationType\": \"header\",\n    \"location\": \"Authorization\"\n   }\n  ],\n  \"code\": 401,\n  \"message\": \"Invalid Credentials\"\n }\n}\n"
org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
org.kde.kgapi: 
kf5.kio.gdrive: virtual KGAPI2::AccountPtr KAccountsManager::refreshAccount(const AccountPtr&) not implemented.
kf5.kio.core: error() called twice! Please fix the "kio_gdrive" KIO slave
kdeinit5: PID 9763 terminated.
kdeinit5: PID 9767 terminated.
kdeinit5: PID 9776 terminated.
Comment 1 Øystein Steffensen-Alværvik 2018-02-27 22:58:09 UTC
kio-gdrive 1.2.1-0neon+16.04+xenial+build22 amd64
Neon 5.12.2
Frameworks 5.43.0
Qt 5.10.0
Comment 2 Elvis Angelaccio 2018-08-26 17:41:26 UTC
Confirmed, sorry for taking so long.

The problem seems to (randomly) happen when communicating with signond. As result we get empty access/refresh tokens from KAccounts, which causes the "Unknown error" from the gdrive slave.

Relevant logs:

ago 26 18:03:42 arch-x220 signond[12137]: signonauthsession.cpp 61 createAuthSession
ago 26 18:03:42 arch-x220 signond[12137]: signonauthsession.cpp 35 SignonAuthSession
ago 26 18:03:42 arch-x220 signond[12137]: signonauthsession.cpp 42 SignonAuthSession "/com/google/code/AccountsSSO/SingleSignOn/AuthSession_2"
ago 26 18:03:42 arch-x220 signond[12137]: signonauthsession.cpp 70 createAuthSession SignonAuthSession created successfully: "/com/google/code/AccountsSSO/SingleSignOn/AuthSession_2"
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: 12158 exitStatus= 0
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: found no pending requests for PID 12158
ago 26 18:03:42 arch-x220 signond[12137]: signonauthsessionadaptor.cpp 76 process "web_server"
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 142 id
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 142 id
ago 26 18:03:42 arch-x220 signond[12137]: credentialsdb.cpp 1373 credentials id: 143 queryPassword: false
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 149 method
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 913 startNewRequest Starting the authentication process
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 316 startProcess the number of requests is 1
ago 26 18:03:42 arch-x220 signond[12137]: credentialsdb.cpp 1373 credentials id: 143 queryPassword: true
ago 26 18:03:42 arch-x220 signond[12137]: credentialsdb.cpp 1379 credentials Loading credentials from DB.
ago 26 18:03:42 arch-x220 signond[12137]: credentialsdb.cpp 1391 credentials Password is empty
ago 26 18:03:42 arch-x220 signond[12137]: accesscontrolmanagerhelper.cpp 167 isPeerAllowedToAccess "*"
ago 26 18:03:42 arch-x220 signond[12137]: credentialsdb.cpp 1465 loadData Loading: 143 , "oauth2"
ago 26 18:03:42 arch-x220 signond[12137]: credentialsdb.cpp 702 methodId method: "oauth2"
ago 26 18:03:42 arch-x220 signond[12137]: signonauthsession.cpp 136 stateChangedSlot
ago 26 18:03:42 arch-x220 signond[12137]: signonauthsession.cpp 136 stateChangedSlot
ago 26 18:03:42 arch-x220 signonpluginprocess[12164]: remotepluginprocess.cpp 234 error error is sent 2   "Failed to I/O session data to/from the signon daemon."
ago 26 18:03:42 arch-x220 signonpluginprocess[12164]: remotepluginprocess.cpp 419 startTask operation is completed
ago 26 18:03:42 arch-x220 kdeinit5[12172]: "Failed to I/O session data to/from the signon daemon."
ago 26 18:03:42 arch-x220 signond[12137]: pluginproxy.cpp 307 onReadStandardOutput PROXY RESULT OPERATION: 3
ago 26 18:03:42 arch-x220 signond[12137]: pluginproxy.cpp 344 handlePluginResponse 3
ago 26 18:03:42 arch-x220 kdeinit5[12172]: kf5.kio.gdrive: KIO GDrive ready: version 1.2.4
ago 26 18:03:42 arch-x220 signond[12137]: pluginproxy.cpp 409 handlePluginResponse PLUGIN_RESPONSE_ERROR
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 772 processError
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
ago 26 18:03:42 arch-x220 signonpluginprocess[12164]: Operation requested while plugin busy! - code 14
ago 26 18:03:42 arch-x220 signond[12137]: signonsessioncore.cpp 896 startNewRequest No more requests to process
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: 12168 exitStatus= 0
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: found no pending requests for PID 12168
ago 26 18:03:42 arch-x220 signonpluginprocess[12164]: plugin.cpp 49 ~Plugin :
ago 26 18:03:42 arch-x220 signonpluginprocess[12164]: oauth2plugin.cpp 115 ~OAuth2Plugin :
ago 26 18:03:42 arch-x220 signonpluginprocess[12164]: oauth2plugin.cpp 91 ~OAuth2PluginPrivate :
ago 26 18:03:42 arch-x220 signond[12137]: pluginproxy.cpp 453 onExit Plugin process exit with code  0  :  QProcess::ExitStatus(NormalExit)
ago 26 18:03:42 arch-x220 kdeinit5[12172]: kf5.kio.gdrive: Running job KGAPI2::Drive::AboutFetchJob(0x7ffc07083170) with accessToken ""
ago 26 18:03:42 arch-x220 kdeinit5[12172]: org.kde.kgapi: Queued QUrl("https://www.googleapis.com/drive/v2/about?includeSubscribed=true")
ago 26 18:03:42 arch-x220 kdeinit5[12172]: org.kde.kgapi: KGAPI2::Drive::AboutFetchJob(0x7ffc07083170) Dispatching request to QUrl("https://www.googleapis.com/drive/v2/about?includeSubscribed=true")
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: KLauncher: launching new slave "/usr/lib/qt/plugins/kf5/kio/http.so" with protocol= "https" args= ("https", "local:/run/user/1000/klauncherkCJMoO.1.slave-socket", "local:/run>
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: Asking kdeinit to start "/usr/lib/qt/plugins/kf5/kio/http.so" ("https", "local:/run/user/1000/klauncherkCJMoO.1.slave-socket", "local:/run/user/1000/kio_gdriveNEpeAE.2.slave->
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: "/usr/lib/qt/plugins/kf5/kio/http.so" (pid 12179) up and running.
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: removing done request "/usr/lib/qt/plugins/kf5/kio/http.so" PID 12179
ago 26 18:03:42 arch-x220 klauncher[1289]: kf5.kinit.klauncher: new app ":1.665"
ago 26 18:03:42 arch-x220 kdeinit5[12172]: org.kde.kgapi: Received reply from QUrl("https://www.googleapis.com/drive/v2/about?includeSubscribed=true")
ago 26 18:03:42 arch-x220 kdeinit5[12172]: org.kde.kgapi: Status code:  401
ago 26 18:03:42 arch-x220 kdeinit5[12172]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
ago 26 18:03:42 arch-x220 kdeinit5[12172]: org.kde.kgapi:
ago 26 18:03:42 arch-x220 kdeinit5[12172]: kf5.kio.gdrive: Job status code: 401 - message: "Invalid authentication."
Comment 3 Elvis Angelaccio 2018-09-02 15:05:00 UTC
*** Bug 381952 has been marked as a duplicate of this bug. ***
Comment 4 Cristiano Furtado 2019-06-26 13:38:54 UTC
a soluction to fedora 30, install package rawhide.

with root or sudo:
dnf install https://rpmfind.net/linux/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/k/kio-gdrive-1.2.6-2.fc31.x86_64.rpm

after: dbus-launch dolphin or reboot
Comment 5 Elvis Angelaccio 2019-09-09 22:53:14 UTC
*** Bug 411653 has been marked as a duplicate of this bug. ***
Comment 6 Angelos Skembris 2019-09-11 11:47:07 UTC
Getting the same error in Dolphin 19.08 / kio-gdrive 1.2.7. 

With 1.2.6, I managed to access the drive once or twice before failure, now it doesn't manage to access it even once.
Comment 7 Eugene 2019-11-24 17:00:55 UTC
The same on my Kubuntu 19.10 x86_64
Plasma: 5.17.3
KDE Frameworks: 5.64.0
QT: 5.12.4
Comment 8 Varaskkar 2019-11-24 17:07:52 UTC
Me too:

Plasma: 5.17.3
QT: 5.13.2
KDE Frameworks: 5.64.0
OS: Manjaro 18.1.3 Juhraya                
Kernel: x86_64 Linux 5.4.0-1-MANJARO      
CPU: Intel Core i7-8565U @ 8x 4.6GHz
GPU: Mesa DRI Intel(R) UHD Graphics
RAM: 4660MiB / 15726MiB
Comment 9 Piotr Martycz 2020-05-16 08:40:35 UTC
So if access tokens are time limited what component is responsible for their refreshing? Can we trigger it manually?
Comment 10 Elvis Angelaccio 2022-09-15 22:29:17 UTC
Git commit 3db025102b89e96f74a7d8ff68147cd6649df100 by Elvis Angelaccio.
Committed on 15/09/2022 at 22:11.
Pushed by elvisangelaccio into branch 'master'.

Don't start runJob() loop if the access token is not available.

Otherwise the loop will go on forever, attempting to start jobs that
will never work.

KAccounts seems to return an empty access token when google returns
a 401 error (access code expired).

M  +3    -0    src/gdrivehelper.cpp
M  +3    -0    src/kaccountsmanager.cpp
M  +8    -1    src/kio_gdrive.cpp

https://invent.kde.org/network/kio-gdrive/commit/3db025102b89e96f74a7d8ff68147cd6649df100
Comment 11 Elvis Angelaccio 2022-09-15 22:30:35 UTC
I just pushed a fix for another issue cause by expired tokens, but this probably still doesn't fix the original issue reported here.
Comment 12 firewalker 2022-11-26 11:15:08 UTC
Still happens to me on Archlinux.
Comment 13 firewalker 2022-12-31 14:43:28 UTC
Is there any infos for the "Expired or missing access tokens for account"? Can we somehow help to fix it?
Comment 14 Alberto Villacorta 2023-01-18 15:24:54 UTC
Hi, 

I updated my system today (ArchLinux), and the error still persists.
Is there any workaround to drive this?

Regards.
Comment 15 mojo 2023-02-08 18:00:52 UTC
KDE neon Testing Edition
KDE Plasma Version: 5.26.90
KDE Frameworks Version: 5.103.0
Qt Version: 5.15.8
Kernel Version: 5.15.0-58-generic (64-bit)
Graphics Platform: X11

The problem with accessing Gdrive in KDE has been going on for several years.
Currently it's hard to use the internet without Google services - is the only solution to change the distribution?
On the same line: Ubuntu 22.04/Mint login to Gdrive works fine.
Maybe it's worth watching their work?
Comment 16 bryan.m0ngo 2023-02-17 19:52:08 UTC
I might have to change the distro, much to my regret.  I NEED access to Google Drive!  This is a problem that is becoming worse, and it occurs on more than one machine.
Comment 17 Lassi Väätämöinen 2023-04-11 10:57:38 UTC
Present in KDE Neon

Operating System: KDE neon 5.27
KDE Plasma Version: 5.27.4
KDE Frameworks Version: 5.104.0
Qt Version: 5.15.8
Kernel Version: 5.19.0-38-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i7-7820HQ CPU @ 2.90GHz
Memory: 22,7 GiB of RAM
Graphics Processor: SVGA3D; build: RELEASE; LLVM;
Manufacturer: innotek GmbH
Product Name: VirtualBox
System Version: 1.2
Comment 18 Varaskkar 2023-04-11 11:03:27 UTC
In Manjaro also happens again, it seems that after a while (days or weeks) access is lost.

Operating System: Manjaro Linux 
KDE Plasma Version: 5.27.3
KDE Frameworks Version: 5.104.0
Qt Version: 5.15.8
Kernel Version: 6.1.22-1-MANJARO (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-8565U CPU @ 1.80GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620
Manufacturer: Notebook
Product Name: N13_N140ZU
System Version: Not Applicable
Comment 19 medin 2023-05-10 17:47:46 UTC
Created attachment 158836 [details]
Expired or missing access tokens for account

I'm blocked from accessing Drive files due to this problem.

Operating System: Manjaro Linux 
KDE Plasma Version: 5.27.4
KDE Frameworks Version: 5.105.0
Qt Version: 5.15.9
Kernel Version: 6.3.0-1-MANJARO (64-bit)
Graphics Platform: X11
Comment 20 BKMO 2023-07-12 05:52:27 UTC
Same on latest version:

Operating System: Arch Linux 
KDE Plasma Version: 5.27.6
KDE Frameworks Version: 5.108.0
Qt Version: 5.15.10
Kernel Version: 6.4.3-arch1-1 (64-bit)
Graphics Platform: Wayland
Comment 21 Ilgaz Öcal 2023-07-19 17:18:15 UTC
There are thousands of the following error messages on system log. I also saw signond occupying 100% of a single core for a long time after system came back from sleep.

ul 19 20:12:30 mbt signonpluginprocess[13235]: Operation requested while plugin busy! - code 14
Jul 19 20:12:30 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:30 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:30 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:30 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:30 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:30 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:31 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:31 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:31 mbt signonpluginprocess[13242]: Operation requested while plugin busy! - code 14
Jul 19 20:12:31 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:31 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:31 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:31 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:31 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:31 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:31 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:31 mbt signonpluginprocess[13249]: Operation requested while plugin busy! - code 14
Jul 19 20:12:31 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:31 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:31 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:31 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:31 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:32 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:32 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:32 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:32 mbt signonpluginprocess[13250]: Operation requested while plugin busy! - code 14
Jul 19 20:12:32 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:32 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:32 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:32 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:32 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:33 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:33 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:33 mbt signonpluginprocess[13257]: Operation requested while plugin busy! - code 14
Jul 19 20:12:33 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:33 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:33 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:33 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:33 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:33 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:33 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:33 mbt signonpluginprocess[13258]: Operation requested while plugin busy! - code 14
Jul 19 20:12:33 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:33 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:33 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:33 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:33 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:33 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:33 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:33 mbt signonpluginprocess[13259]: Operation requested while plugin busy! - code 14
Jul 19 20:12:33 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:33 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:34 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:34 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:34 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:34 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:34 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:34 mbt signonpluginprocess[13260]: Operation requested while plugin busy! - code 14
Jul 19 20:12:34 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:34 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:34 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:34 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:34 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:34 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:35 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:35 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:35 mbt signonpluginprocess[13261]: Operation requested while plugin busy! - code 14
Jul 19 20:12:35 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:35 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:35 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:35 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:35 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:35 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:35 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:35 mbt signonpluginprocess[13281]: Operation requested while plugin busy! - code 14
Jul 19 20:12:35 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:35 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:35 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:35 mbt kioslave5[3355]: "Casting SessionData into subclass failed."
Jul 19 20:12:35 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Casting SessionData into subclass failed."
Jul 19 20:12:35 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:36 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:36 mbt kioslave5[3355]: org.kde.kgapi: Unauthorized. Access token has expired or is invalid.
Jul 19 20:12:36 mbt signond[12050]: signonsessioncore.cpp 397 replyError Deprecated error code: 2
Jul 19 20:12:36 mbt signonpluginprocess[13282]: Operation requested while plugin busy! - code 14
Jul 19 20:12:36 mbt kioslave5[3355]: "Failed to I/O session data to/from the signon daemon."
Jul 19 20:12:36 mbt kioslave5[3355]: kf.kio.workers.gdrive: GetCredentialsJob failed: "Failed to I/O session data to/from the signon daemon."
Comment 22 Nate Graham 2023-08-02 16:54:38 UTC
*** Bug 467428 has been marked as a duplicate of this bug. ***
Comment 23 Antonio Marra 2023-09-20 07:06:51 UTC
Hi everybody,
i have to add that, if you remove the Google account from "Online accounts", it is impossible to add it again, because after asking for Google user name, it never reaches the password request page (the login page remains grayed out forever).
This is a very big bug, cannot login to Google anymore.
Comment 24 Nate Graham 2023-09-20 17:36:18 UTC
That's a separate bug that's caused by your distro shipping a version of the signon-ui package that's too old. See Bug 420280.
Comment 25 Paul Worrall 2023-11-14 13:56:16 UTC
*** Bug 476974 has been marked as a duplicate of this bug. ***
Comment 26 Fabian Vogt 2023-11-27 18:26:54 UTC
*** Bug 477487 has been marked as a duplicate of this bug. ***
Comment 27 jshand2013 2023-12-17 21:17:50 UTC
Created attachment 164261 [details]
gdrive log

This also happens with me.

Operating System: openSUSE Tumbleweed 20231215
KDE Plasma Version: 5.27.10
KDE Frameworks Version: 5.112.0
Qt Version: 5.15.11
Kernel Version: 6.6.6-1-default (64-bit)
Graphics Platform: X11
Processors: 2 × AMD A9-9420e RADEON R5, 5 COMPUTE CORES 2C+3G
Memory: 7.2 GiB of RAM
Graphics Processor: AMD Radeon R5 Graphics
Manufacturer: Acer
Product Name: Aspire A315-21G
System Version: V1.12
Comment 28 Jens 2023-12-21 08:07:12 UTC
I'm getting this too since today.
Comment 29 ivan.planinar 2023-12-21 23:57:21 UTC
Me too. Worked nicely, was so happy, but it bugged eventually... Sigh.
Comment 30 ivan.planinar 2024-01-12 22:33:37 UTC
Is anyone actually assigned/working on to get this looked on and fixed? 
First reported in 2018, still broken in 2024.
Comment 31 Andrew Stein 2024-01-17 16:06:35 UTC
Agree, I am still having this problem and it makes KDE -> Google Drive integration somewhat painful.

Importance is listed as "High major" and assignee is "Elvis Angelaccio".

If someone could point me to the region of code that needs to be fixed, I'd be interested in helping. The biggest issue for me is finding things in this enormous codebase.
Comment 32 ivan.planinar 2024-01-18 13:08:52 UTC
(In reply to Andrew Stein from comment #31)
> Agree, I am still having this problem and it makes KDE -> Google Drive
> integration somewhat painful.
> 
> Importance is listed as "High major" and assignee is "Elvis Angelaccio".
> 
> If someone could point me to the region of code that needs to be fixed, I'd
> be interested in helping. The biggest issue for me is finding things in this
> enormous codebase.

I think @Nate Graham can point you in the right direction and probably provide a feedback what's going for this bug. Thanks for trying to fix this.
Comment 33 Ilgaz Öcal 2024-02-14 06:38:07 UTC
This one breaks the entire workflow, and there are several duplicates of this bug with all the technical details possible. Not a single KDE maintainer or a distribution maintainer cared about this issue. I think there is an ideological problem rather than a technical one, e.g. not supporting Google.

I ended up using google-drive-ocamlfuse on all my KDE desktops for months now. Many may have switched to other desktops.
Comment 34 jshand2013 2024-02-25 06:28:23 UTC
this could be an idea to try with this problem.  after each procedure finishing, the token should be refreshed and dolphin should refresh contents on gdrive folder
Comment 35 Andrew Stein 2024-02-25 06:32:36 UTC
Created attachment 166081 [details]
attachment-1748709-0.html

After ***each*** procedure? That sounds a bit excessive and
performance-degrading.

On Sun, Feb 25, 2024, 12:28 AM <bugzilla_noreply@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=391186
>
> --- Comment #34 from jshand2013@gmail.com ---
> this could be an idea to try with this problem.  after each procedure
> finishing, the token should be refreshed and dolphin should refresh
> contents on
> gdrive folder
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 36 jshand2013 2024-02-25 06:35:27 UTC
Created attachment 166082 [details]
debug for kio-gdrive
Comment 37 jshand2013 2024-02-25 06:36:11 UTC
Created attachment 166083 [details]
debug for kde-kgapi-gdrive
Comment 38 bryan.m0ngo 2024-02-25 08:46:58 UTC
No performance is degrading.  Better to be slow than infinite!  It is incredible that this issue has not been resolved.  

Sent from my iPad

> On 25 Feb 2024, at 06:32, Andrew Stein <bugzilla_noreply@kde.org> wrote:
> 
> https://bugs.kde.org/show_bug.cgi?id=391186
> 
> --- Comment #35 from Andrew Stein <andrew1stein@gmail.com> ---
> After ***each*** procedure? That sounds a bit excessive and
> performance-degrading.
> 
>> On Sun, Feb 25, 2024, 12:28 AM <bugzilla_noreply@kde.org> wrote:
>> 
>> https://bugs.kde.org/show_bug.cgi?id=391186
>> 
>> --- Comment #34 from jshand2013@gmail.com ---
>> this could be an idea to try with this problem.  after each procedure
>> finishing, the token should be refreshed and dolphin should refresh
>> contents on
>> gdrive folder
>> 
>> --
>> You are receiving this mail because:
>> You are on the CC list for the bug.
> 
> --
> You are receiving this mail because:
> You voted for the bug.
> You are on the CC list for the bug.
Comment 39 ivan.planinar 2024-02-25 10:10:25 UTC
(In reply to bryan.m0ngo from comment #38)
> No performance is degrading.  Better to be slow than infinite!  It is
> incredible that this issue has not been resolved.  

Agreed.
Any working solution is better than the current state.
Plus, we are talking about a major bug that is here since 2018.
Comment 40 jshand2013 2024-02-25 19:23:11 UTC
Created attachment 166101 [details]
debug for kio-gdrive

on line 9405 might be a clue to why tokens are dropped and renewed
Comment 41 jshand2013 2024-02-25 19:26:15 UTC
(In reply to jshand2013 from comment #40)
> Created attachment 166101 [details]
> debug for kio-gdrive
> 
> on line 9405 might be a clue to why tokens are dropped and renewed

on line 9405 might be a clue to why tokens are dropped and not renewed